#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'beranda.beranda_penyedia'}
#{/set}
<div class="container">
#{alert /}
</div>

#{if blacklist}
<div class="alert alert-danger">
  	<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
  	<div class="row">
  	<p>
        <label class="col-lg-10 control-label">&{'beranda.alert_blacklist'}/label>
    </p>
         <label class="col-lg-3 control-label">&{'beranda.berlaku'}:
         <label>${blacklist?.bll_tglawal?.formatDate()} s.d. ${blacklist?.bll_tglakhir?.formatDate()}</label>
         </label>
  <label class="col-lg-12">&{'beranda.msg_alert'}</label>
  </div>
</div>
#{/if}

#{if status_aktivasi}
<div class="alert alert-danger">
    &{'beranda.akun_belum_aktif'}
</div>
#{/if}
<div class="container">
    <ul id="tabs" class="nav nav-tabs faq-cat-tabs" role="tablist">
        <li class="active">
            <a href="@{BerandaCtr.index()}" data-toggle="tab">&{'beranda.tender'}</a>
        </li>
        <li>
            <a href="@{BerandaCtr.nonLelang()}">&{'beranda.nontender'}</a>
        </li>
        #{if enableDevPartner}
            <li>
                <a href="@{devpartner.BerandaDpCtr.index()}">&{'beranda.dev_partner'}</a>
            </li>
        #{/if}
    </ul>

    <div class="content tab-content">
        <div class="tab-pane active" id="etendering">
            <div class="breadcrumb">
                &{'beranda.status_tender'}
            </div>
            <div class="border" style="overflow: hidden;">
                #{if activated}
                <div style="margin-top:10px;margin-bottom:10px;margin-left:10px;">
                    <a name="@PageLink" title="RekananAktivasiKonfirmasi">&{'beranda.aktivasi_inaproc'}
                        <span title="ognl:formatDate(page.visit.aktivasi.aktivasi_date)">[tgl aktivasi]</span>
                    </a>
                </div>
                #{/if}
                #{if seleksiadmin}
                <div style="margin-top:10px;margin-bottom:10px;margin-left:10px;">
                    &{'beranda.msg_sedang_proses'}
                #{/if}
            </div>
            <form id="formFilter">
                <table class="table table-sm table-bordered">
                <tr>
                    <th class="bg-warning">Status</th>
                    <td> <select name="status" class="form-control input-sm selectpicker" data-width="auto" onchange="this.form.submit();">
                        <option value="1" #{if status==1} selected #{/if}>&{'beranda.tender_aktif'}</option>
                        <option value="2" #{if status==2} selected #{/if}>&{'beranda.tender_batal'}</option>
                    </select>
                </tr>
                </table>
            </form>
             <table id="tblStatusLelang" class="table table-sm">
                    <thead>
                    <tr>
                        <th width="80">&{'beranda.kode_tender'}</th>
                        <th>&{'beranda.nama_tender'}</th>
                        <th width="130">&{'beranda.tahap'}</th>
                    </tr>
                    </thead>
                    <tbody>
                    </tbody>
             </table>
        </div>
    </div>
</div>
#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">

var viewLelang = #{jsRoute @lelang.LelangCtr.view(':id') /};
var viewTahap  = #{jsRoute @lelang.JadwalCtr.tahap(':id') /};
var table = $("#tblStatusLelang").DataTable({
        language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.dataTableStatusLelang(status)}",
        columns: [null,{render: function(data, type, row) {
        	 	var id = row[0];
		   		var paket = row[1];

		   		var version = getLabelSpseVersion(row[3]);
		   		var flag = version.flag;
        		var highlight = version.highlight;

		   		var label = row[4];
                var urlLelang =viewLelang.url({id:id});
                var urlTahap = viewTahap.url({id:id});

		    	row[1] = '<a href="'+urlLelang+'">'+ paket +'&nbsp;<span class="badge  badge-info">'+label+'</span>'+' <span class="'+highlight+'">'+flag+'</span></a>';
		    	row[2] = '<a target="_blank" href="'+urlTahap+'" >'+row[2]+'</a>';
                // is konsolidasi = 1
                if (row[5] == '1') {
                    var lblKonsolidasi = getKonsolidasiLabel()
                    row[1] += '&nbsp;<span class="' + lblKonsolidasi.highlight + '">' + lblKonsolidasi.flag + '</span>';
                }
		        return row[1];
        	}},{orderable:false}
        ]
    });
    $('#tblStatusLelang_filter input').unbind();
    $('#tblStatusLelang_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>
#{/set}